Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote.rmi.wls
Class RMIRemoteSessionControllerDispatcher

`java.lang.Object
weblogic.rmi.server.RemoteObject
weblogic.rmi.server.RemoteServer
weblogic.rmi.server.UnicastRemoteObject
oracle.toplink.remote.rmi.wls.RMIRemoteSessionControllerDispatcher`

All Implemented Interfaces:
  java.lang.Cloneable, java.rmi.Remote, weblogic.rmi.Remote, RMIRemoteSessionController

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `RMIRemoteSessionControllerDispatcher`

public class RMIRemoteSessionControllerDispatcher
extends weblogic.rmi.server.UnicastRemoteObject
implements RMIRemoteSessionController

RemoteSessionController sits between the remote session and the session. Any interaction between these two classes takes place through this object. As the object extends unicast remote object it listens to only single remote session during runtime.

Constructor Summary
`RMIRemoteSessionControllerDispatcher(Session session)` Deprecated.
`RMIRemoteSessionControllerDispatcher(Session session)` Deprecated.

Method Summary
`Transporter` | `beginTransaction()` Deprecated. Begin a transaction on the database.
`Transporter` | `commitRootUnitOfWork(Transporter remoteUnitOfWork)` Deprecated. Remote unit of work after serialization is commited locally.
`Transporter` | `commitTransaction()` Deprecated. Commit a transaction on the database.
`Transporter` | `cursoredStreamClose(Transporter remoteCursoredStreamID)` Deprecated. Used for closing cursored streams across RMI.
`Transporter` | `cursoredStreamNextPage(Transporter remoteCursoredStream, int pageSize)` Deprecated. Retrieve next page size of objects from the remote cursored stream
`Transporter` | `cursoredStreamSize(Transporter remoteCursoredStreamOid)` Deprecated. Return the cursored stream size
`Transporter` | `cursorSelectObjects(Transporter remoteTransporter)` Deprecated. Returns a remote cursor stub in a transporter
`Transporter` | `executeNamedQuery(Transporter nameTransporter, Transporter classTransporter, Transporter argumentsTransporter)` Deprecated. A remote query after serialization is executed locally.
`Transporter` | `executeQuery(Transporter query)` Deprecated. A remote query after serialization is executed locally.
`Transporter` | `getDefaultReadOnlyClasses()` Deprecated. Get the default read-only classes
`Transporter` | `getDescriptor(Transporter theClass)` Deprecated. Extract descriptor from the session
`Transporter` | `getLogin()` Deprecated. Get the associated session login.
`Transporter` | `initializeIdentityMapsOnServerSession()` Deprecated.
`Transporter` | `instantiateRemoteValueHolderOnServer(Transporter remoteValueHolder)` Deprecated. The corresponding original value holder is instantiated.
`Transporter` | `rollbackTransaction()` Deprecated. Rollback a transaction on the database.
`Transporter` | `scrollableCursorAbsolute(Transporter remoteScrollableCursorOid, int rows)` Deprecated. Moves the cursor to the given row number in the result set
`Transporter` | `scrollableCursorAfterLast(Transporter remoteScrollableCursorOid)` Deprecated. Moves the cursor to the end of the result set, just after the last row.
`Transporter` | `scrollableCursorBeforeFirst(Transporter remoteScrollableCursor)` Deprecated. Moves the cursor to the front of the result set, just before the first row
`Transporter` | `scrollableCursorClose(Transporter remoteScrollableCursorOid)` Deprecated. Used for closing scrollable cursor across RMI.
`Transporter` | `scrollableCursorCurrentIndex(Transporter remoteScrollableCursor)` Deprecated. Retrieves the current row index number
`Transporter` | `scrollableCursorFirst(Transporter remoteScrollableCursor)` Deprecated. Moves the cursor to the first row in the result set
`Transporter` | `scrollableCursorIsAfterLast(Transporter remoteScrollableCursor)` Deprecated. Indicates whether the cursor is after the last row in the result set.
`Transporter` | `scrollableCursorIsBeforeFirst(Transporter remoteScrollableCursor)` Deprecated. Indicates whether the cursor is before the first row in the result set.
`Transporter` | `scrollableCursorIsFirst(Transporter remoteScrollableCursor)` Deprecated. Indicates whether the cursor is on the first row of the result set.
`Transporter` | `scrollableCursorIsLast(Transporter remoteScrollableCursor)` Deprecated. Indicates whether the cursor is on the last row of the result set.
`Transporter` | `scrollableCursorLast(Transporter remoteScrollableCursor)` Deprecated. Moves the cursor to the last row in the result set
`Transporter` | `scrollableCursorNextObject(Transporter scrollableCursorOid)` Deprecated. Retrieve next object from the scrollable cursor
`Transporter` | `scrollableCursorPreviousObject(Transporter scrollableCursorOid)` Deprecated. Retrieve previous object from the scrollable cursor
`Transporter` | `scrollableCursorRelative(Transporter remoteScrollableCursor, int rows)` Deprecated. Moves the cursor to the given row number in the result set
`Transporter` | `scrollableCursorSize(Transporter remoteCursorOid)` Deprecated. Return the cursor size

Methods inherited from class weblogic.rmi.server.UnicastRemoteObject
`clone, exportActivatable, exportClusterableObject, exportObject, exportObject, unexportObject, unexportObject, unexportObject`

Methods inherited from class weblogic.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class weblogic.rmi.server.RemoteObject
`toStub`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIRemoteSessionControllerDispatcher

    public RMIRemoteSessionControllerDispatcher(Session session)
                                         throws java.rmi.RemoteException

  Deprecated.

### RMIRemoteSessionControllerDispatcher

    public RMIRemoteSessionControllerDispatcher(Session session)
                                         throws java.rmi.RemoteException

  Deprecated.

Method Detail

### beginTransaction

    public Transporter beginTransaction()

  Deprecated.
  Begin a transaction on the database.
  Specified by:
    `beginTransaction` in interface `RMIRemoteSessionController`

### commitRootUnitOfWork

    public Transporter commitRootUnitOfWork(Transporter remoteUnitOfWork)

  Deprecated.
  Remote unit of work after serialization is commited locally.
  Specified by:
    `commitRootUnitOfWork` in interface `RMIRemoteSessionController`

### commitTransaction

    public Transporter commitTransaction()

  Deprecated.
  Commit a transaction on the database.
  Specified by:
    `commitTransaction` in interface `RMIRemoteSessionController`

### cursoredStreamClose

    public Transporter cursoredStreamClose(Transporter remoteCursoredStreamID)

  Deprecated.
  Used for closing cursored streams across RMI.
  Specified by:
    `cursoredStreamClose` in interface `RMIRemoteSessionController`

### cursoredStreamNextPage

    public Transporter cursoredStreamNextPage(Transporter remoteCursoredStream,
                                              int pageSize)

  Deprecated.
  Retrieve next page size of objects from the remote cursored stream
  Specified by:
    `cursoredStreamNextPage` in interface `RMIRemoteSessionController`

### cursoredStreamSize

    public Transporter cursoredStreamSize(Transporter remoteCursoredStreamOid)

  Deprecated.
  Return the cursored stream size
  Specified by:
    `cursoredStreamSize` in interface `RMIRemoteSessionController`

### cursorSelectObjects

    public Transporter cursorSelectObjects(Transporter remoteTransporter)

  Deprecated.
  Returns a remote cursor stub in a transporter
  Specified by:
    `cursorSelectObjects` in interface `RMIRemoteSessionController`

### executeNamedQuery

    public Transporter executeNamedQuery(Transporter nameTransporter,
                                         Transporter classTransporter,
                                         Transporter argumentsTransporter)

  Deprecated.
  A remote query after serialization is executed locally.
  Specified by:
    `executeNamedQuery` in interface `RMIRemoteSessionController`

### executeQuery

    public Transporter executeQuery(Transporter query)

  Deprecated.
  A remote query after serialization is executed locally.
  Specified by:
    `executeQuery` in interface `RMIRemoteSessionController`

### getDefaultReadOnlyClasses

    public Transporter getDefaultReadOnlyClasses()

  Deprecated.
  Get the default read-only classes
  Specified by:
    `getDefaultReadOnlyClasses` in interface `RMIRemoteSessionController`

### getDescriptor

    public Transporter getDescriptor(Transporter theClass)

  Deprecated.
  Extract descriptor from the session
  Specified by:
    `getDescriptor` in interface `RMIRemoteSessionController`

### getLogin

    public Transporter getLogin()

  Deprecated.
  Get the associated session login.
  Specified by:
    `getLogin` in interface `RMIRemoteSessionController`

### initializeIdentityMapsOnServerSession

    public Transporter initializeIdentityMapsOnServerSession()

  Deprecated.
  Specified by:
    `initializeIdentityMapsOnServerSession` in interface `RMIRemoteSessionController`

### instantiateRemoteValueHolderOnServer

    public Transporter instantiateRemoteValueHolderOnServer(Transporter remoteValueHolder)

  Deprecated.
  The corresponding original value holder is instantiated.
  Specified by:
    `instantiateRemoteValueHolderOnServer` in interface `RMIRemoteSessionController`

### rollbackTransaction

    public Transporter rollbackTransaction()

  Deprecated.
  Rollback a transaction on the database.
  Specified by:
    `rollbackTransaction` in interface `RMIRemoteSessionController`

### scrollableCursorAbsolute

    public Transporter scrollableCursorAbsolute(Transporter remoteScrollableCursorOid,
                                                int rows)

  Deprecated.
  Moves the cursor to the given row number in the result set
  Specified by:
    `scrollableCursorAbsolute` in interface `RMIRemoteSessionController`

### scrollableCursorAfterLast

    public Transporter scrollableCursorAfterLast(Transporter remoteScrollableCursorOid)

  Deprecated.
  Moves the cursor to the end of the result set, just after the last row.
  Specified by:
    `scrollableCursorAfterLast` in interface `RMIRemoteSessionController`

### scrollableCursorBeforeFirst

    public Transporter scrollableCursorBeforeFirst(Transporter remoteScrollableCursor)

  Deprecated.
  Moves the cursor to the front of the result set, just before the first row
  Specified by:
    `scrollableCursorBeforeFirst` in interface `RMIRemoteSessionController`

### scrollableCursorClose

    public Transporter scrollableCursorClose(Transporter remoteScrollableCursorOid)

  Deprecated.
  Used for closing scrollable cursor across RMI.
  Specified by:
    `scrollableCursorClose` in interface `RMIRemoteSessionController`

### scrollableCursorCurrentIndex

    public Transporter scrollableCursorCurrentIndex(Transporter remoteScrollableCursor)

  Deprecated.
  Retrieves the current row index number
  Specified by:
    `scrollableCursorCurrentIndex` in interface `RMIRemoteSessionController`

### scrollableCursorFirst

    public Transporter scrollableCursorFirst(Transporter remoteScrollableCursor)

  Deprecated.
  Moves the cursor to the first row in the result set
  Specified by:
    `scrollableCursorFirst` in interface `RMIRemoteSessionController`

### scrollableCursorIsAfterLast

    public Transporter scrollableCursorIsAfterLast(Transporter remoteScrollableCursor)

  Deprecated.
  Indicates whether the cursor is after the last row in the result set.
  Specified by:
    `scrollableCursorIsAfterLast` in interface `RMIRemoteSessionController`

### scrollableCursorIsBeforeFirst

    public Transporter scrollableCursorIsBeforeFirst(Transporter remoteScrollableCursor)

  Deprecated.
  Indicates whether the cursor is before the first row in the result set.
  Specified by:
    `scrollableCursorIsBeforeFirst` in interface `RMIRemoteSessionController`

### scrollableCursorIsFirst

    public Transporter scrollableCursorIsFirst(Transporter remoteScrollableCursor)

  Deprecated.
  Indicates whether the cursor is on the first row of the result set.
  Specified by:
    `scrollableCursorIsFirst` in interface `RMIRemoteSessionController`

### scrollableCursorIsLast

    public Transporter scrollableCursorIsLast(Transporter remoteScrollableCursor)

  Deprecated.
  Indicates whether the cursor is on the last row of the result set.
  Specified by:
    `scrollableCursorIsLast` in interface `RMIRemoteSessionController`

### scrollableCursorLast

    public Transporter scrollableCursorLast(Transporter remoteScrollableCursor)

  Deprecated.
  Moves the cursor to the last row in the result set
  Specified by:
    `scrollableCursorLast` in interface `RMIRemoteSessionController`

### scrollableCursorNextObject

    public Transporter scrollableCursorNextObject(Transporter scrollableCursorOid)

  Deprecated.
  Retrieve next object from the scrollable cursor
  Specified by:
    `scrollableCursorNextObject` in interface `RMIRemoteSessionController`

### scrollableCursorPreviousObject

    public Transporter scrollableCursorPreviousObject(Transporter scrollableCursorOid)

  Deprecated.
  Retrieve previous object from the scrollable cursor
  Specified by:
    `scrollableCursorPreviousObject` in interface `RMIRemoteSessionController`

### scrollableCursorRelative

    public Transporter scrollableCursorRelative(Transporter remoteScrollableCursor,
                                                int rows)

  Deprecated.
  Moves the cursor to the given row number in the result set
  Specified by:
    `scrollableCursorRelative` in interface `RMIRemoteSessionController`

### scrollableCursorSize

    public Transporter scrollableCursorSize(Transporter remoteCursorOid)

  Deprecated.
  Return the cursor size
  Specified by:
    `scrollableCursorSize` in interface `RMIRemoteSessionController`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD